AttendanceList
This method will get all AttendanceList Objects
GET/api/event/attendancelist
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of AttendanceList objectsarray<AttendanceList>
Show fields (36)
idintegerPrimary key of the attendance list. Internal ID.
tokenstringPublic token of the attendance list. Used in the public link instead of the ID.
namestringName of the attendance list.
descriptionstringInternal description of the attendance list.
public_linkstringPublic link to the attendance list, for example for an external form.
public_imprint_linkstringLink to the imprint shown on the public attendance form.
public_privacy_linkstringLink to the privacy policy shown on the public attendance form.
public_additional_link_textstringLabel of an additional link on the public attendance form.
public_additional_link_urlstringURL of the additional link on the public attendance form.
description_externalstringDescription shown on the public attendance form.
welcome_messagestringMessage shown before the form is filled in.
completed_messagestringMessage shown after the form is completed.
continue_messagestringMessage shown when the form is continued later.
headline_externalstringHeadline shown on the public attendance form.
image_url_externalstringURL of the image shown on the public attendance form.
form_type_externalstringType of the public form, for example check-in or check-out.
ttlintegerTime to live of the list in days, after which it is removed.
allow_older_datesbooleanDates in the past may be entered.
archivedbooleanThe attendance list is archived and no longer used.
force_addressbooleanThe address must be entered on the public form.
force_mailbooleanThe e-mail address must be entered on the public form.
force_phonebooleanThe phone number must be entered on the public form.
force_end_datebooleanThe end date must be entered on the public form.
force_start_datebooleanThe start date must be entered on the public form.
crm_companyCRMCompanyCompany the attendance list belongs to.
Show fields (55)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
secondary_namestringSecond name line of the company.
direct_dialstringDirect dial number of the company.
invoice_emailstringE-mail address for invoices.
send_invoice_emailbooleanSend invoices by e-mail.
send_invoice_letterbooleanSend invoices by letter.
time_report_emailstringE-mail address for time reports.
payment_goalPaymentGoalPayment term of the company.
payment_intervalstringInterval of the payments.
vatidstringVAT identification number.
taxnumberstringTax number of the company.
buyer_reference_idstringLeitweg-ID or custom reference ID defined by the customer
taxTaxTax rate used for the company.
infostringInformation about the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
is_customerbooleanThe company is a customer.
is_supplierbooleanThe company is a supplier.
is_otherbooleanThe company is neither customer nor supplier.
is_memberbooleanThe company is a member.
archivedbooleanThe company is archived.
categoryCRMCompanyCategoryCategory of the company.
visible_for_customerbooleanWhether the company is visible to the customer.
founding_datestring (date-time)Founding date of the company.
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_typePaymentTypecompany_employee_countintegerNumber of employees of the company.
company_founding_yearintegerFounding year of the company.
company_family_ownedbooleanWhether the company is family-owned.
company_sales_volumestringSales volume of the company.
company_segmentstringMarket segment of the company.
encrypt_databooleanPersonal data in the entries is stored encrypted.
encrypt_ttlintegerttl in hours
encrypt_completed_ttlintegerttl in hours
close_ttlintegerttl in hours
th_peopleintegerThreshold of people in the list for an alert.
th_people_recovered_vaccinatedintegerThreshold of recovered or vaccinated people for an alert.
th_people_not_recovered_vaccinatedintegerThreshold of people who are neither recovered nor vaccinated for an alert.
test_is_memberbooleanTest setting: check if persons are members.
test_event_bookingbooleanTest setting: check if persons have an event booking.
test_unified_category_idsstringTest setting: IDs of the unified categories to check.
search_stringstringText that the entity can be searched by.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/attendancelist \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/attendancelist', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_attendance_list_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventAttendanceListController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_additional_link_text": "Text",
"public_additional_link_url": "https://vynst.de",
"force_mail": true,
"force_phone": true,
"token": "string",
"public_link": "string",
"public_imprint_link": "string"
}
]Add a new AttendanceList
POST/api/event/attendancelist
Responses
200Add a new AttendanceListAttendanceList
Show fields (36)
idintegerPrimary key of the attendance list. Internal ID.
tokenstringPublic token of the attendance list. Used in the public link instead of the ID.
namestringName of the attendance list.
descriptionstringInternal description of the attendance list.
public_linkstringPublic link to the attendance list, for example for an external form.
public_imprint_linkstringLink to the imprint shown on the public attendance form.
public_privacy_linkstringLink to the privacy policy shown on the public attendance form.
public_additional_link_textstringLabel of an additional link on the public attendance form.
public_additional_link_urlstringURL of the additional link on the public attendance form.
description_externalstringDescription shown on the public attendance form.
welcome_messagestringMessage shown before the form is filled in.
completed_messagestringMessage shown after the form is completed.
continue_messagestringMessage shown when the form is continued later.
headline_externalstringHeadline shown on the public attendance form.
image_url_externalstringURL of the image shown on the public attendance form.
form_type_externalstringType of the public form, for example check-in or check-out.
ttlintegerTime to live of the list in days, after which it is removed.
allow_older_datesbooleanDates in the past may be entered.
archivedbooleanThe attendance list is archived and no longer used.
force_addressbooleanThe address must be entered on the public form.
force_mailbooleanThe e-mail address must be entered on the public form.
force_phonebooleanThe phone number must be entered on the public form.
force_end_datebooleanThe end date must be entered on the public form.
force_start_datebooleanThe start date must be entered on the public form.
crm_companyCRMCompanyCompany the attendance list belongs to.
Show fields (55)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
secondary_namestringSecond name line of the company.
direct_dialstringDirect dial number of the company.
invoice_emailstringE-mail address for invoices.
send_invoice_emailbooleanSend invoices by e-mail.
send_invoice_letterbooleanSend invoices by letter.
time_report_emailstringE-mail address for time reports.
payment_goalPaymentGoalPayment term of the company.
payment_intervalstringInterval of the payments.
vatidstringVAT identification number.
taxnumberstringTax number of the company.
buyer_reference_idstringLeitweg-ID or custom reference ID defined by the customer
taxTaxTax rate used for the company.
infostringInformation about the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
is_customerbooleanThe company is a customer.
is_supplierbooleanThe company is a supplier.
is_otherbooleanThe company is neither customer nor supplier.
is_memberbooleanThe company is a member.
archivedbooleanThe company is archived.
categoryCRMCompanyCategoryCategory of the company.
visible_for_customerbooleanWhether the company is visible to the customer.
founding_datestring (date-time)Founding date of the company.
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_typePaymentTypecompany_employee_countintegerNumber of employees of the company.
company_founding_yearintegerFounding year of the company.
company_family_ownedbooleanWhether the company is family-owned.
company_sales_volumestringSales volume of the company.
company_segmentstringMarket segment of the company.
encrypt_databooleanPersonal data in the entries is stored encrypted.
encrypt_ttlintegerttl in hours
encrypt_completed_ttlintegerttl in hours
close_ttlintegerttl in hours
th_peopleintegerThreshold of people in the list for an alert.
th_people_recovered_vaccinatedintegerThreshold of recovered or vaccinated people for an alert.
th_people_not_recovered_vaccinatedintegerThreshold of people who are neither recovered nor vaccinated for an alert.
test_is_memberbooleanTest setting: check if persons are members.
test_event_bookingbooleanTest setting: check if persons have an event booking.
test_unified_category_idsstringTest setting: IDs of the unified categories to check.
search_stringstringText that the entity can be searched by.
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/attendancelist \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'POST', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/attendancelist', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist")
.post(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_attendance_list_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_attendance_list.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventAttendanceListController.post(EventAttendanceList.fromJson({}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_additional_link_text": "Text",
"public_additional_link_url": "https://vynst.de",
"force_mail": true,
"force_phone": true,
"token": "string",
"public_link": "string",
"public_imprint_link": "string"
}Update a AttendanceList
PUT/api/event/attendancelist/{id}
Path parameters
idrequiredstring |
Responses
200Update a AttendanceListAttendanceList
Show fields (36)
idintegerPrimary key of the attendance list. Internal ID.
tokenstringPublic token of the attendance list. Used in the public link instead of the ID.
namestringName of the attendance list.
descriptionstringInternal description of the attendance list.
public_linkstringPublic link to the attendance list, for example for an external form.
public_imprint_linkstringLink to the imprint shown on the public attendance form.
public_privacy_linkstringLink to the privacy policy shown on the public attendance form.
public_additional_link_textstringLabel of an additional link on the public attendance form.
public_additional_link_urlstringURL of the additional link on the public attendance form.
description_externalstringDescription shown on the public attendance form.
welcome_messagestringMessage shown before the form is filled in.
completed_messagestringMessage shown after the form is completed.
continue_messagestringMessage shown when the form is continued later.
headline_externalstringHeadline shown on the public attendance form.
image_url_externalstringURL of the image shown on the public attendance form.
form_type_externalstringType of the public form, for example check-in or check-out.
ttlintegerTime to live of the list in days, after which it is removed.
allow_older_datesbooleanDates in the past may be entered.
archivedbooleanThe attendance list is archived and no longer used.
force_addressbooleanThe address must be entered on the public form.
force_mailbooleanThe e-mail address must be entered on the public form.
force_phonebooleanThe phone number must be entered on the public form.
force_end_datebooleanThe end date must be entered on the public form.
force_start_datebooleanThe start date must be entered on the public form.
crm_companyCRMCompanyCompany the attendance list belongs to.
Show fields (55)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
secondary_namestringSecond name line of the company.
direct_dialstringDirect dial number of the company.
invoice_emailstringE-mail address for invoices.
send_invoice_emailbooleanSend invoices by e-mail.
send_invoice_letterbooleanSend invoices by letter.
time_report_emailstringE-mail address for time reports.
payment_goalPaymentGoalPayment term of the company.
payment_intervalstringInterval of the payments.
vatidstringVAT identification number.
taxnumberstringTax number of the company.
buyer_reference_idstringLeitweg-ID or custom reference ID defined by the customer
taxTaxTax rate used for the company.
infostringInformation about the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
is_customerbooleanThe company is a customer.
is_supplierbooleanThe company is a supplier.
is_otherbooleanThe company is neither customer nor supplier.
is_memberbooleanThe company is a member.
archivedbooleanThe company is archived.
categoryCRMCompanyCategoryCategory of the company.
visible_for_customerbooleanWhether the company is visible to the customer.
founding_datestring (date-time)Founding date of the company.
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_typePaymentTypecompany_employee_countintegerNumber of employees of the company.
company_founding_yearintegerFounding year of the company.
company_family_ownedbooleanWhether the company is family-owned.
company_sales_volumestringSales volume of the company.
company_segmentstringMarket segment of the company.
encrypt_databooleanPersonal data in the entries is stored encrypted.
encrypt_ttlintegerttl in hours
encrypt_completed_ttlintegerttl in hours
close_ttlintegerttl in hours
th_peopleintegerThreshold of people in the list for an alert.
th_people_recovered_vaccinatedintegerThreshold of recovered or vaccinated people for an alert.
th_people_not_recovered_vaccinatedintegerThreshold of people who are neither recovered nor vaccinated for an alert.
test_is_memberbooleanTest setting: check if persons are members.
test_event_bookingbooleanTest setting: check if persons have an event booking.
test_unified_category_idsstringTest setting: IDs of the unified categories to check.
search_stringstringText that the entity can be searched by.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/event/attendancelist/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'PUT', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.put(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/event/attendancelist/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist/42")
.put(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist/42"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_attendance_list_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_attendance_list.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventAttendanceListController.put(EventAttendanceList.fromJson({}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_additional_link_text": "Text",
"public_additional_link_url": "https://vynst.de",
"force_mail": true,
"force_phone": true,
"token": "string",
"public_link": "string",
"public_imprint_link": "string"
}Update a AttendanceList
PATCH/api/event/attendancelist/{id}
Path parameters
idrequiredstring |
Responses
200Update a AttendanceListAttendanceList
Show fields (36)
idintegerPrimary key of the attendance list. Internal ID.
tokenstringPublic token of the attendance list. Used in the public link instead of the ID.
namestringName of the attendance list.
descriptionstringInternal description of the attendance list.
public_linkstringPublic link to the attendance list, for example for an external form.
public_imprint_linkstringLink to the imprint shown on the public attendance form.
public_privacy_linkstringLink to the privacy policy shown on the public attendance form.
public_additional_link_textstringLabel of an additional link on the public attendance form.
public_additional_link_urlstringURL of the additional link on the public attendance form.
description_externalstringDescription shown on the public attendance form.
welcome_messagestringMessage shown before the form is filled in.
completed_messagestringMessage shown after the form is completed.
continue_messagestringMessage shown when the form is continued later.
headline_externalstringHeadline shown on the public attendance form.
image_url_externalstringURL of the image shown on the public attendance form.
form_type_externalstringType of the public form, for example check-in or check-out.
ttlintegerTime to live of the list in days, after which it is removed.
allow_older_datesbooleanDates in the past may be entered.
archivedbooleanThe attendance list is archived and no longer used.
force_addressbooleanThe address must be entered on the public form.
force_mailbooleanThe e-mail address must be entered on the public form.
force_phonebooleanThe phone number must be entered on the public form.
force_end_datebooleanThe end date must be entered on the public form.
force_start_datebooleanThe start date must be entered on the public form.
crm_companyCRMCompanyCompany the attendance list belongs to.
Show fields (55)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
secondary_namestringSecond name line of the company.
direct_dialstringDirect dial number of the company.
invoice_emailstringE-mail address for invoices.
send_invoice_emailbooleanSend invoices by e-mail.
send_invoice_letterbooleanSend invoices by letter.
time_report_emailstringE-mail address for time reports.
payment_goalPaymentGoalPayment term of the company.
payment_intervalstringInterval of the payments.
vatidstringVAT identification number.
taxnumberstringTax number of the company.
buyer_reference_idstringLeitweg-ID or custom reference ID defined by the customer
taxTaxTax rate used for the company.
infostringInformation about the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
is_customerbooleanThe company is a customer.
is_supplierbooleanThe company is a supplier.
is_otherbooleanThe company is neither customer nor supplier.
is_memberbooleanThe company is a member.
archivedbooleanThe company is archived.
categoryCRMCompanyCategoryCategory of the company.
visible_for_customerbooleanWhether the company is visible to the customer.
founding_datestring (date-time)Founding date of the company.
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_typePaymentTypecompany_employee_countintegerNumber of employees of the company.
company_founding_yearintegerFounding year of the company.
company_family_ownedbooleanWhether the company is family-owned.
company_sales_volumestringSales volume of the company.
company_segmentstringMarket segment of the company.
encrypt_databooleanPersonal data in the entries is stored encrypted.
encrypt_ttlintegerttl in hours
encrypt_completed_ttlintegerttl in hours
close_ttlintegerttl in hours
th_peopleintegerThreshold of people in the list for an alert.
th_people_recovered_vaccinatedintegerThreshold of recovered or vaccinated people for an alert.
th_people_not_recovered_vaccinatedintegerThreshold of people who are neither recovered nor vaccinated for an alert.
test_is_memberbooleanTest setting: check if persons are members.
test_event_bookingbooleanTest setting: check if persons have an event booking.
test_unified_category_idsstringTest setting: IDs of the unified categories to check.
search_stringstringText that the entity can be searched by.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/event/attendancelist/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'PATCH', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.patch(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/event/attendancelist/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist/42")
.patch(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist/42"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/event/attendancelist/42'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_additional_link_text": "Text",
"public_additional_link_url": "https://vynst.de",
"force_mail": true,
"force_phone": true,
"token": "string",
"public_link": "string",
"public_imprint_link": "string"
}This method will get a single AttendanceList with the given id or token
GET/api/event/attendancelist/{listIdentifier}
Path parameters
listIdentifierrequiredstring |
Responses
200Returns a single AttendanceList with the given id or tokenAttendanceList
Show fields (36)
idintegerPrimary key of the attendance list. Internal ID.
tokenstringPublic token of the attendance list. Used in the public link instead of the ID.
namestringName of the attendance list.
descriptionstringInternal description of the attendance list.
public_linkstringPublic link to the attendance list, for example for an external form.
public_imprint_linkstringLink to the imprint shown on the public attendance form.
public_privacy_linkstringLink to the privacy policy shown on the public attendance form.
public_additional_link_textstringLabel of an additional link on the public attendance form.
public_additional_link_urlstringURL of the additional link on the public attendance form.
description_externalstringDescription shown on the public attendance form.
welcome_messagestringMessage shown before the form is filled in.
completed_messagestringMessage shown after the form is completed.
continue_messagestringMessage shown when the form is continued later.
headline_externalstringHeadline shown on the public attendance form.
image_url_externalstringURL of the image shown on the public attendance form.
form_type_externalstringType of the public form, for example check-in or check-out.
ttlintegerTime to live of the list in days, after which it is removed.
allow_older_datesbooleanDates in the past may be entered.
archivedbooleanThe attendance list is archived and no longer used.
force_addressbooleanThe address must be entered on the public form.
force_mailbooleanThe e-mail address must be entered on the public form.
force_phonebooleanThe phone number must be entered on the public form.
force_end_datebooleanThe end date must be entered on the public form.
force_start_datebooleanThe start date must be entered on the public form.
crm_companyCRMCompanyCompany the attendance list belongs to.
Show fields (55)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
secondary_namestringSecond name line of the company.
direct_dialstringDirect dial number of the company.
invoice_emailstringE-mail address for invoices.
send_invoice_emailbooleanSend invoices by e-mail.
send_invoice_letterbooleanSend invoices by letter.
time_report_emailstringE-mail address for time reports.
payment_goalPaymentGoalPayment term of the company.
payment_intervalstringInterval of the payments.
vatidstringVAT identification number.
taxnumberstringTax number of the company.
buyer_reference_idstringLeitweg-ID or custom reference ID defined by the customer
taxTaxTax rate used for the company.
infostringInformation about the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
is_customerbooleanThe company is a customer.
is_supplierbooleanThe company is a supplier.
is_otherbooleanThe company is neither customer nor supplier.
is_memberbooleanThe company is a member.
archivedbooleanThe company is archived.
categoryCRMCompanyCategoryCategory of the company.
visible_for_customerbooleanWhether the company is visible to the customer.
founding_datestring (date-time)Founding date of the company.
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_typePaymentTypecompany_employee_countintegerNumber of employees of the company.
company_founding_yearintegerFounding year of the company.
company_family_ownedbooleanWhether the company is family-owned.
company_sales_volumestringSales volume of the company.
company_segmentstringMarket segment of the company.
encrypt_databooleanPersonal data in the entries is stored encrypted.
encrypt_ttlintegerttl in hours
encrypt_completed_ttlintegerttl in hours
close_ttlintegerttl in hours
th_peopleintegerThreshold of people in the list for an alert.
th_people_recovered_vaccinatedintegerThreshold of recovered or vaccinated people for an alert.
th_people_not_recovered_vaccinatedintegerThreshold of people who are neither recovered nor vaccinated for an alert.
test_is_memberbooleanTest setting: check if persons are members.
test_event_bookingbooleanTest setting: check if persons have an event booking.
test_unified_category_idsstringTest setting: IDs of the unified categories to check.
search_stringstringText that the entity can be searched by.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/attendancelist/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/attendancelist/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_attendance_list_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventAttendanceListController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_additional_link_text": "Text",
"public_additional_link_url": "https://vynst.de",
"force_mail": true,
"force_phone": true,
"token": "string",
"public_link": "string",
"public_imprint_link": "string"
}Add a viewer to a AttendanceList
POST/api/event/attendancelist/{id}/add/viewer
Path parameters
idrequiredstring |
Responses
200Add a viewer to a AttendanceListAttendanceList
Show fields (36)
idintegerPrimary key of the attendance list. Internal ID.
tokenstringPublic token of the attendance list. Used in the public link instead of the ID.
namestringName of the attendance list.
descriptionstringInternal description of the attendance list.
public_linkstringPublic link to the attendance list, for example for an external form.
public_imprint_linkstringLink to the imprint shown on the public attendance form.
public_privacy_linkstringLink to the privacy policy shown on the public attendance form.
public_additional_link_textstringLabel of an additional link on the public attendance form.
public_additional_link_urlstringURL of the additional link on the public attendance form.
description_externalstringDescription shown on the public attendance form.
welcome_messagestringMessage shown before the form is filled in.
completed_messagestringMessage shown after the form is completed.
continue_messagestringMessage shown when the form is continued later.
headline_externalstringHeadline shown on the public attendance form.
image_url_externalstringURL of the image shown on the public attendance form.
form_type_externalstringType of the public form, for example check-in or check-out.
ttlintegerTime to live of the list in days, after which it is removed.
allow_older_datesbooleanDates in the past may be entered.
archivedbooleanThe attendance list is archived and no longer used.
force_addressbooleanThe address must be entered on the public form.
force_mailbooleanThe e-mail address must be entered on the public form.
force_phonebooleanThe phone number must be entered on the public form.
force_end_datebooleanThe end date must be entered on the public form.
force_start_datebooleanThe start date must be entered on the public form.
crm_companyCRMCompanyCompany the attendance list belongs to.
Show fields (55)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
secondary_namestringSecond name line of the company.
direct_dialstringDirect dial number of the company.
invoice_emailstringE-mail address for invoices.
send_invoice_emailbooleanSend invoices by e-mail.
send_invoice_letterbooleanSend invoices by letter.
time_report_emailstringE-mail address for time reports.
payment_goalPaymentGoalPayment term of the company.
payment_intervalstringInterval of the payments.
vatidstringVAT identification number.
taxnumberstringTax number of the company.
buyer_reference_idstringLeitweg-ID or custom reference ID defined by the customer
taxTaxTax rate used for the company.
infostringInformation about the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
is_customerbooleanThe company is a customer.
is_supplierbooleanThe company is a supplier.
is_otherbooleanThe company is neither customer nor supplier.
is_memberbooleanThe company is a member.
archivedbooleanThe company is archived.
categoryCRMCompanyCategoryCategory of the company.
visible_for_customerbooleanWhether the company is visible to the customer.
founding_datestring (date-time)Founding date of the company.
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_typePaymentTypecompany_employee_countintegerNumber of employees of the company.
company_founding_yearintegerFounding year of the company.
company_family_ownedbooleanWhether the company is family-owned.
company_sales_volumestringSales volume of the company.
company_segmentstringMarket segment of the company.
encrypt_databooleanPersonal data in the entries is stored encrypted.
encrypt_ttlintegerttl in hours
encrypt_completed_ttlintegerttl in hours
close_ttlintegerttl in hours
th_peopleintegerThreshold of people in the list for an alert.
th_people_recovered_vaccinatedintegerThreshold of recovered or vaccinated people for an alert.
th_people_not_recovered_vaccinatedintegerThreshold of people who are neither recovered nor vaccinated for an alert.
test_is_memberbooleanTest setting: check if persons are members.
test_event_bookingbooleanTest setting: check if persons have an event booking.
test_unified_category_idsstringTest setting: IDs of the unified categories to check.
search_stringstringText that the entity can be searched by.
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'POST', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer")
.post(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.post(
Uri.parse('https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_additional_link_text": "Text",
"public_additional_link_url": "https://vynst.de",
"force_mail": true,
"force_phone": true,
"token": "string",
"public_link": "string",
"public_imprint_link": "string"
}Delete a viewer from a AttendanceList
POST/api/event/attendancelist/{id}/delete/viewer
Path parameters
idrequiredstring |
Responses
200Delete a viewer from a AttendanceListAttendanceList
Show fields (36)
idintegerPrimary key of the attendance list. Internal ID.
tokenstringPublic token of the attendance list. Used in the public link instead of the ID.
namestringName of the attendance list.
descriptionstringInternal description of the attendance list.
public_linkstringPublic link to the attendance list, for example for an external form.
public_imprint_linkstringLink to the imprint shown on the public attendance form.
public_privacy_linkstringLink to the privacy policy shown on the public attendance form.
public_additional_link_textstringLabel of an additional link on the public attendance form.
public_additional_link_urlstringURL of the additional link on the public attendance form.
description_externalstringDescription shown on the public attendance form.
welcome_messagestringMessage shown before the form is filled in.
completed_messagestringMessage shown after the form is completed.
continue_messagestringMessage shown when the form is continued later.
headline_externalstringHeadline shown on the public attendance form.
image_url_externalstringURL of the image shown on the public attendance form.
form_type_externalstringType of the public form, for example check-in or check-out.
ttlintegerTime to live of the list in days, after which it is removed.
allow_older_datesbooleanDates in the past may be entered.
archivedbooleanThe attendance list is archived and no longer used.
force_addressbooleanThe address must be entered on the public form.
force_mailbooleanThe e-mail address must be entered on the public form.
force_phonebooleanThe phone number must be entered on the public form.
force_end_datebooleanThe end date must be entered on the public form.
force_start_datebooleanThe start date must be entered on the public form.
crm_companyCRMCompanyCompany the attendance list belongs to.
Show fields (55)
idintegerPrimary key of the company. Internal ID.
short_namestringShort name of the company.
company_namestringLegal name of the company.
secondary_namestringSecond name line of the company.
direct_dialstringDirect dial number of the company.
invoice_emailstringE-mail address for invoices.
send_invoice_emailbooleanSend invoices by e-mail.
send_invoice_letterbooleanSend invoices by letter.
time_report_emailstringE-mail address for time reports.
payment_goalPaymentGoalPayment term of the company.
payment_intervalstringInterval of the payments.
vatidstringVAT identification number.
taxnumberstringTax number of the company.
buyer_reference_idstringLeitweg-ID or custom reference ID defined by the customer
taxTaxTax rate used for the company.
infostringInformation about the company.
numberstringCustomer or supplier number of the company.
manual_numberintegerNumber set manually instead of the automatic number.
number_stringstringCompany number as text, including prefix.
is_customerbooleanThe company is a customer.
is_supplierbooleanThe company is a supplier.
is_otherbooleanThe company is neither customer nor supplier.
is_memberbooleanThe company is a member.
archivedbooleanThe company is archived.
categoryCRMCompanyCategoryCategory of the company.
visible_for_customerbooleanWhether the company is visible to the customer.
founding_datestring (date-time)Founding date of the company.
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
payment_typePaymentTypecompany_employee_countintegerNumber of employees of the company.
company_founding_yearintegerFounding year of the company.
company_family_ownedbooleanWhether the company is family-owned.
company_sales_volumestringSales volume of the company.
company_segmentstringMarket segment of the company.
encrypt_databooleanPersonal data in the entries is stored encrypted.
encrypt_ttlintegerttl in hours
encrypt_completed_ttlintegerttl in hours
close_ttlintegerttl in hours
th_peopleintegerThreshold of people in the list for an alert.
th_people_recovered_vaccinatedintegerThreshold of recovered or vaccinated people for an alert.
th_people_not_recovered_vaccinatedintegerThreshold of people who are neither recovered nor vaccinated for an alert.
test_is_memberbooleanTest setting: check if persons are members.
test_event_bookingbooleanTest setting: check if persons have an event booking.
test_unified_category_idsstringTest setting: IDs of the unified categories to check.
search_stringstringText that the entity can be searched by.
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'POST', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer")
.post(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.post(
Uri.parse('https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"description": "Text",
"public_additional_link_text": "Text",
"public_additional_link_url": "https://vynst.de",
"force_mail": true,
"force_phone": true,
"token": "string",
"public_link": "string",
"public_imprint_link": "string"
}This method will export a single AttendanceList with the given id or token
GET/api/event/attendancelist/{listIdentifier}/export
Path parameters
listIdentifierrequiredstring |
Responses
default
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/attendancelist/42/export \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist/42/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist/42/export"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/attendancelist/42/export', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist/42/export"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist/42/export")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist/42/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_attendance_list_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventAttendanceListController.exportEntriesCsv('42');
print(result);This method will get the list entries for the given list
GET/api/event/attendancelist/{listIdentifier}/entries
Path parameters
listIdentifierrequiredstring |
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of AttendanceListEntry objects for the given listarray<AttendanceListEntry>
Show fields (7)
idintegerPrimary key of the attendance list entry. Internal ID.
tokenstringPublic token of the entry. Used instead of the ID.
person_countintegerNumber of persons the entry stands for, for example a family.
startstring (date-time)Time the participant arrived.
endstring (date-time)Time the participant left.
completedbooleanThe attendance entry is complete.
search_stringstringText that the entity can be searched by.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/attendancelist/42/entries \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/attendancelist/42/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/attendancelist/42/entries"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/attendancelist/42/entries', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/attendancelist/42/entries"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/attendancelist/42/entries")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/attendancelist/42/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_attendance_list_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventAttendanceListController.getEntries('42');
if (result.success) {
print(result.data);
}[
{
"id": 42,
"token": "string",
"person_count": 1,
"start": "2026-10-15T09:30:00+02:00",
"end": "2026-10-15T09:30:00+02:00",
"completed": true,
"search_string": "string"
}
]